// saving_loader.dart
import 'package:flutter/material.dart';

class SavingLoader extends StatelessWidget {
  const SavingLoader({super.key});

  @override
  Widget build(BuildContext context) {
    return Dialog(
      backgroundColor: Colors.white,
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(12)),
      child: Padding(
        padding: const EdgeInsets.all(24.0),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            const SizedBox(
              width: 80,
              height: 10,
              child: LinearProgressIndicator(
                backgroundColor: Colors.green,
                color: Colors.white,
              ),
            ),
            const SizedBox(height: 12),
            const Text(
              "Your changes are being saved.",
              style: TextStyle(fontSize: 16, fontWeight: FontWeight.w500),
            ),
          ],
        ),
      ),
    );
  }
}
